#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x1a0af320, "");
SYMBOL_CRC(phy_get_rate_matching, 0xbaed978c, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0xf80e3b47, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xe1364fb9, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x069a7aa9, "");
SYMBOL_CRC(phy_mii_ioctl, 0x8f712e64, "");
SYMBOL_CRC(phy_do_ioctl, 0x4997ae09, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x0408bffa, "");
SYMBOL_CRC(phy_queue_state_machine, 0x7a2e7ac2, "");
SYMBOL_CRC(phy_trigger_machine, 0x0aeb00b6, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xb6591f4f, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x541b46c1, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xd6d41c77, "");
SYMBOL_CRC(phy_start_cable_test, 0x6a2a61ad, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x3d7b0f57, "");
SYMBOL_CRC(phy_config_aneg, 0x1d72691c, "");
SYMBOL_CRC(_phy_start_aneg, 0xf3d25530, "");
SYMBOL_CRC(phy_start_aneg, 0xad9043d7, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x8e5f3397, "");
SYMBOL_CRC(phy_speed_down, 0xd2248e1b, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xcfd1c184, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x96c9efc3, "_gpl");
SYMBOL_CRC(phy_error, 0xa59a6328, "");
SYMBOL_CRC(phy_request_interrupt, 0xab4bbcd4, "");
SYMBOL_CRC(phy_free_interrupt, 0xf90c610a, "");
SYMBOL_CRC(phy_stop, 0x5aef5f6a, "");
SYMBOL_CRC(phy_start, 0xff8a4802, "");
SYMBOL_CRC(phy_mac_interrupt, 0x9c1956ad, "");
SYMBOL_CRC(phy_init_eee, 0x690b9b23, "");
SYMBOL_CRC(phy_get_eee_err, 0x990ff9d9, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xb8421adb, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x63ba9016, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xa9442ceb, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xebefc886, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x3820d7d5, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x029690c0, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x759f0770, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x65a74011, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0xe90fc7c1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x23d0058f, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xc6eea3e4, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x9bf7c34c, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xbc2c7aa2, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x8aaa04eb, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x80628fa1, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x9a2fcfeb, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x323f6036, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x152896bb, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x7f649286, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xcc86e5f6, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xd914a3a8, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x5051b252, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xd2b65155, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x472ca3bd, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x53716ef8, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xe76418b6, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x8b22547a, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x7d8b65f0, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xcdf95633, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x89632fb0, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x44c2a459, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x25cf5fb0, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x96e0d33c, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x7952f34d, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xe0b5579d, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x3fe37c35, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x5d108e62, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x5f35d0c1, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x7e1b541d, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xa90e87f0, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x582b21f3, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x789e9e34, "");
SYMBOL_CRC(phy_read_mmd, 0x79965104, "");
SYMBOL_CRC(__phy_write_mmd, 0x9776f9b3, "");
SYMBOL_CRC(phy_write_mmd, 0x5767dc24, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x5ad8c04f, "");
SYMBOL_CRC(phy_package_read_mmd, 0x40e302e3, "");
SYMBOL_CRC(__phy_package_write_mmd, 0x6993960e, "");
SYMBOL_CRC(phy_package_write_mmd, 0x5cedaec7, "");
SYMBOL_CRC(phy_modify_changed, 0xcd9de947, "_gpl");
SYMBOL_CRC(__phy_modify, 0x578a662b, "_gpl");
SYMBOL_CRC(phy_modify, 0x828cf569, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xe0a61530, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x01b0c424, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x4907b51e, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x1fc4391d, "_gpl");
SYMBOL_CRC(phy_save_page, 0x0cf7bb0f, "_gpl");
SYMBOL_CRC(phy_select_page, 0x7a94506d, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x08cd6b53, "_gpl");
SYMBOL_CRC(phy_read_paged, 0xe6e74a9a, "");
SYMBOL_CRC(phy_write_paged, 0x7aabb564, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x833822b1, "");
SYMBOL_CRC(phy_modify_paged, 0xd4f0cdc3, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0xbfdd6a18, "");
SYMBOL_CRC(phy_register_fixup, 0xa763cb28, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x9a38546f, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x0d9d7d2d, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xb4f7ab54, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xf54edd4c, "");
SYMBOL_CRC(get_phy_device, 0x75ef0ce3, "");
SYMBOL_CRC(phy_device_register, 0x1fffd742, "");
SYMBOL_CRC(phy_device_remove, 0x182ddef0, "");
SYMBOL_CRC(phy_get_c45_ids, 0xd0a3b2d4, "");
SYMBOL_CRC(phy_find_first, 0xb3bc354d, "");
SYMBOL_CRC(phy_connect_direct, 0xda2c06dd, "");
SYMBOL_CRC(phy_connect, 0xbf0cab1b, "");
SYMBOL_CRC(phy_disconnect, 0x66390aea, "");
SYMBOL_CRC(phy_init_hw, 0x7bd1cd13, "");
SYMBOL_CRC(phy_attached_info, 0x18502c8c, "");
SYMBOL_CRC(phy_attached_info_irq, 0x0f598a79, "");
SYMBOL_CRC(phy_attached_print, 0xe7c3c09b, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0x015cdbce, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0xa03f1dc5, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x2402da6c, "");
SYMBOL_CRC(phy_attach_direct, 0x3345a7e3, "");
SYMBOL_CRC(phy_attach, 0x35a498b1, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xedb3d056, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x45cc42dd, "_gpl");
SYMBOL_CRC(phy_package_join, 0xdcee90d4, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x3bf8ec14, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xe8b915c2, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xc3be538e, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x268e4c89, "_gpl");
SYMBOL_CRC(phy_detach, 0x89dea4bd, "");
SYMBOL_CRC(phy_suspend, 0x01098fdb, "");
SYMBOL_CRC(__phy_resume, 0xd3ea6135, "");
SYMBOL_CRC(phy_resume, 0xac33a1e5, "");
SYMBOL_CRC(phy_loopback, 0x2daf1138, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xa15cd183, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x0f503513, "");
SYMBOL_CRC(genphy_setup_forced, 0x16cb42ac, "");
SYMBOL_CRC(genphy_read_master_slave, 0xf3b8ca39, "");
SYMBOL_CRC(genphy_restart_aneg, 0xac06483c, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x963aa1d9, "");
SYMBOL_CRC(__genphy_config_aneg, 0xc4b5dc1f, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xdcc8cb97, "");
SYMBOL_CRC(genphy_aneg_done, 0xcdb9309d, "");
SYMBOL_CRC(genphy_update_link, 0x73d14d0c, "");
SYMBOL_CRC(genphy_read_lpa, 0x60298447, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xeee6173a, "");
SYMBOL_CRC(genphy_read_status, 0x8bad729f, "");
SYMBOL_CRC(genphy_c37_read_status, 0x5c904a45, "");
SYMBOL_CRC(genphy_soft_reset, 0x36849690, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xd02d4e97, "");
SYMBOL_CRC(genphy_read_abilities, 0xe7655a6d, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x3da13ba4, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x6bfea1f7, "");
SYMBOL_CRC(genphy_suspend, 0x75e9e16f, "");
SYMBOL_CRC(genphy_resume, 0xfd8f8f66, "");
SYMBOL_CRC(genphy_loopback, 0xbe8ca350, "");
SYMBOL_CRC(phy_remove_link_mode, 0xca767f94, "");
SYMBOL_CRC(phy_advertise_supported, 0xe17db470, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x1088d0d3, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x578d4580, "");
SYMBOL_CRC(phy_support_sym_pause, 0x2514a094, "");
SYMBOL_CRC(phy_support_asym_pause, 0xb3ca10bd, "");
SYMBOL_CRC(phy_set_sym_pause, 0x18047630, "");
SYMBOL_CRC(phy_set_asym_pause, 0x61b80a8d, "");
SYMBOL_CRC(phy_validate_pause, 0xf4023518, "");
SYMBOL_CRC(phy_get_pause, 0x76da3cd9, "");
SYMBOL_CRC(phy_get_internal_delay, 0xb68c6e51, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xd5dacb8f, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x10a2fc2c, "");
SYMBOL_CRC(device_phy_find_device, 0x916b1b4d, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0xe97f1559, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xb40d5e8d, "");
SYMBOL_CRC(phy_drivers_register, 0x56da063d, "");
SYMBOL_CRC(phy_driver_unregister, 0xaa8c13fe, "");
SYMBOL_CRC(phy_drivers_unregister, 0x660966ff, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0x5c25e53e, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0x1160ab6a, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x821088ce, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x087e815b, "");
SYMBOL_CRC(mdiobus_get_phy, 0xe6f02739, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x31387d3c, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x7d56c3a2, "");
SYMBOL_CRC(mdio_find_bus, 0x6d03c731, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x9cd78ed4, "");
SYMBOL_CRC(__mdiobus_register, 0xcd10e012, "");
SYMBOL_CRC(mdiobus_unregister, 0x38d0d6c5, "");
SYMBOL_CRC(mdiobus_free, 0x15419117, "");
SYMBOL_CRC(__mdiobus_read, 0x60ffee30, "");
SYMBOL_CRC(__mdiobus_write, 0x8ae62dc9, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x71d37185, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xca3e6a99, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xa01d288a, "");
SYMBOL_CRC(mdiobus_read_nested, 0x9161d35f, "");
SYMBOL_CRC(mdiobus_read, 0xab837b4c, "");
SYMBOL_CRC(mdiobus_c45_read, 0x93ac4750, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x395f73a0, "");
SYMBOL_CRC(mdiobus_write_nested, 0x518235e8, "");
SYMBOL_CRC(mdiobus_write, 0x71eb74af, "");
SYMBOL_CRC(mdiobus_c45_write, 0x5f69d062, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xf7acc9cd, "");
SYMBOL_CRC(__mdiobus_modify, 0x9b448de8, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xf154f81f, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x919e64c9, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xea79fe2d, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x15671f1e, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x7184bb83, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x240b5757, "");
SYMBOL_CRC(mdio_device_create, 0x7c69f9b6, "");
SYMBOL_CRC(mdio_device_register, 0xdad962ee, "");
SYMBOL_CRC(mdio_device_remove, 0xdc5d067f, "");
SYMBOL_CRC(mdio_device_reset, 0x0a88af4b, "");
SYMBOL_CRC(mdio_driver_register, 0xef7f2ccb, "");
SYMBOL_CRC(mdio_driver_unregister, 0x9b327813, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xa1fdea3d, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x5052536c, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x58f4d230, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xf96c9800, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6f8fdd1, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x4e84e11e, "gpiod_set_value_cansleep" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebca8a7, "devm_gpiod_get_optional" },
	{ 0xfde33339, "get_device" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8ae76ff9, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30186cc2, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe10bc72f, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64dba328, "put_device" },
	{ 0xdbd21ae4, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x208822a8, "_dev_info" },
	{ 0xec1f44a5, "module_put" },
	{ 0x7d4a513d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff738d88, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x85bf4986, "bus_find_device" },
	{ 0xf86cf345, "device_add" },
	{ 0xfbba88dd, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x3be45ab1, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x260bcc60, "is_acpi_data_node" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x7639caf5, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xeb0d2ab8, "class_unregister" },
	{ 0x5a3982d8, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x49da913e, "device_register" },
	{ 0xb7c5b9e1, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe3b694ad, "device_bind_driver" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdac2a57f, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x464b7edf, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb96da9ab, "netdev_alert" },
	{ 0xcbd5859f, "ethnl_cable_test_alloc" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xdc9c3dd2, "fwnode_find_reference" },
	{ 0x3286d2af, "fwnode_property_read_string" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x275e37ea, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1f835726, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46b3a19b, "netif_carrier_off" },
	{ 0x3b3c29a5, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x94339635, "led_trigger_register" },
	{ 0x95c2c3bb, "netif_carrier_on" },
	{ 0x9e26abed, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x62cd7c27, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x5898085b, "sysfs_create_link_nowarn" },
	{ 0xc79efca8, "dev_err_probe" },
	{ 0x2d7bb1cf, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x9d1a175c, "led_trigger_event" },
	{ 0xbec3b8c0, "device_release_driver" },
	{ 0x50071935, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15415167, "gpiod_set_consumer_name" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x960fd435, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0xe5548c62, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa8caf714, "__dev_fwnode" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x3b27d189, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x123627f, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xe9c19e26, "class_find_device" },
	{ 0x9eecc791, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa5ba64e0, "is_acpi_device_node" },
	{ 0xbafd58bd, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xf8329ff, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "524AD217239F7926B0CBE5D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
